Now Compatible! NetBeans and JDK 6 Update 12

We ran into an embarrassing spat of issues when JDK 6 Update 12 was released. Some sloppy coding practices that had not been causing issues with earlier JDK releases came up and bit us. Ouch!

A lot of folks got the wake-up call and scrambled to address the problems... and have helped roll a new release of NetBeans... 6.5.1. Once you download this new release, you should be able to use JDK 6 update 12 and NetBeans together.

Comments:

You may consider writing an "Awful examples"(TM) documents. Some people may just heed it and save themeselved considerable grief.

Posted by Amotz Anner on March 16, 2009 at 03:54 AM PDT #

Just curious, why does NB 6.5 not update itself to 6.5.1? Seems like it would be a reasonable thing to expect...

Posted by Mark Chance on March 16, 2009 at 05:11 AM PDT #

I do not know. I did some code fixes that went into 6.5.1... but I do not know the why's and wherefore's of packaging those changes and delivering them to users. You may want to ask about that on nbusers@netbeans.org.

Posted by vince on March 16, 2009 at 08:38 AM PDT #

You can update the IDE using the update center.
Just open the Plugin manager and click Reload Catalog.

Posted by georg on March 16, 2009 at 07:16 PM PDT #

georg-- thanks! that info is not well publicized and not immediately intuitive. One wonders why the reload has to be forced.

Posted by robert on March 17, 2009 at 03:59 AM PDT #

Post a Comment:
Comments are closed for this entry.
About


Vince Kraemer writes the entries in this blog.

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today
News
Blogroll

No bookmarks in folder

automarks